Ask Your Question
0

Error adding repository cloud-archive:liberty

asked 2016-03-22 06:35:53 -0600

G-user gravatar image

Hi ,

I am trying to add the repository cloud-archive:liberty to my ubuntu 14.04 node. But I get the following error

Traceback (most recent call last): File "/usr/bin/add-apt-repository", line 157, in <module> handler = cloudarchive.shortcut_handler(line) File "/usr/lib/python2.7/dist-packages/softwareproperties/cloudarchive.py", line 119, in shortcut_handler return CloudArchiveShortcutHandler(shortcut) File "/usr/lib/python2.7/dist-packages/softwareproperties/cloudarchive.py", line 79, in __init__ "Must be one of %(ca_names)s") % subs) TypeError: exceptions must be old-style classes or derived from BaseException, not NoneType

Any suggestions ?

Thanks,

edit retag flag offensive close merge delete

Comments

Please type the command you are using. Thanks,

rl_person gravatar imagerl_person ( 2016-03-22 21:03:42 -0600 )edit

$ sudo apt-get install software-properties-common -- followed by $ sudo add-apt-repository cloud-archive:liberty. Thanks

G-user gravatar imageG-user ( 2016-03-23 00:46:41 -0600 )edit

1 answer

Sort by ยป oldest newest most voted
0

answered 2016-06-13 00:04:13 -0600

G-user gravatar image

It worked on Ubuntu 14.04 without any issues

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2016-03-22 06:35:53 -0600

Seen: 174 times

Last updated: Jun 13 '16